### Method

# Pango AttrList change

#### Declaration [src]

    void
    pango_attr_list_change (
      PangoAttrList* list,
      PangoAttribute* attr
    )

#### Description [src]

Insert the given attribute into the `PangoAttrList`.

It will replace any attributes of the same type on that segment and be merged with any adjoining attributes that are identical.

This function is slower than `pango_attr_list_insert()` for creating an attribute list in order (potentially much slower for large lists). However, `pango_attr_list_insert()` is not suitable for continually changing a set of attributes since it never removes or combines existing attributes.

#### Parameters

`attr`

  Type: `PangoAttribute`

  The attribute to insert.

  The instance takes ownership of the data, and is responsible for freeing it.